#include<stdio.h>
int main(){
int N=0,i=0,j=0,k=0;
scanf("%d", &N);

if(N<0){
  printf("-1\n");
  return 0;
}


for(i=0; i<=N; i++){
  for(k=0; k<i; k++){
    printf(" ");
  }
    for(j=0; j<N-i; j++){
      printf("*");
	
	if(j==N-i-1)
	  printf("\n");
	else
	  printf("-");
    }
    if(j!=i-1)
      printf("\n");
}

return 0;
}
